[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItemHandlerType

Enumerated type which represents the available menu item handler types.

## Declaration

Source position: menus.pp line 113

`type TMenuItemHandlerType = (`
`mihtDestroy` |  | Handler type signalled to perform notification events when a menu item is freed.
`);`

## Description

Currently has only one member: mihtDestroy.

## See also

TMenuItem.AddHandler |  | Adds an event handler routine of the specified type to the menu item.
TMenuItem.AddHandlerOnDestroy |  | Adds an OnDestroy event handler to the handlers for the menu item.
TMenuItem.RemoveHandlerOnDestroy |  | Removes the specified OnDestroy event handler from the list of handlers for the menu item.
TMenuItem.RemoveAllHandlersOfObject |  | Removes all handler routines for the specified object instance from the internal handler lists.